Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.cache.invalidation
Class ServletInvalidationContext

    java.lang.Object
      |
      +--oracle.portal.provider.v2.cache.invalidation.InvalidationContext
            |
            +--oracle.portal.provider.v2.cache.invalidation.ServletInvalidationContext

public abstract class ServletInvalidationContext
extends InvalidationContext

Objects derived from this class are used in the context of a servlet based web provider. The extra methods defined in this interface are used to set provider servlet details.

e.g, for the URL http://host:port/servlets/provider, the servlet path is /servlets/provider

These set methods do not accept null parameters.

Constructor Summary
`ServletInvalidationContext()`

Method Summary
`abstract void` | `setFullProviderPath(ServletPortletRenderRequest req)` Set the servlet path of the provider server
`abstract void` | `setProviderContext(java.lang.String path)` Set the servlet context of the provider server
`abstract void` | `setProviderServletPath(java.lang.String path)` Set the servlet path of the provider server.
`abstract void` | `setURLCharSet(java.lang.String charset)` Set the URL charset.

Methods inherited from class oracle.portal.provider.v2.cache.invalidation.InvalidationContext
`clearAllKeys, invalidate, invalidateURI, setAuthenticationLevel, setLocale, setPortalRealm, setPortalRealm, setPortlet, setPortlet, setPortletInstance, setPortletInstanceName, setPortletReference, setProvider, setProvider, setProviderSubscription, setProviderSubscription, setUser, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletInvalidationContext

    public ServletInvalidationContext()

Method Detail

### setProviderServletPath

    public abstract void setProviderServletPath(java.lang.String path)
                                         throws InvalidationException

  Set the servlet path of the provider server.
  Throws:
    `InvalidationException` - if a null string is passed

### setProviderContext

    public abstract void setProviderContext(java.lang.String path)
                                     throws InvalidationException

  Set the servlet context of the provider server
  Throws:
    `InvalidationException` - if a null string is passed

### setFullProviderPath

    public abstract void setFullProviderPath(ServletPortletRenderRequest req)
                                      throws InvalidationException

  Set the servlet path of the provider server
  Throws:
    `InvalidationException` - if a null string is passed

### setURLCharSet

    public abstract void setURLCharSet(java.lang.String charset)
                                throws InvalidationException

  Set the URL charset. This is used when URL encoding the invalidation request.
  Throws:
    `InvalidationException` - if a null string is passed

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.